Name:           python-hyperframe
Version:        5.2.0
Release:        3
Summary:        HTTP/2 framing layer for Python

License:        MIT
URL:            https://github.com/python-hyper/hyperframe
Source0:        https://files.pythonhosted.org/packages/source/h/hyperframe/hyperframe-5.2.0.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel python3dist(setuptools) python3dist(pytest)

%{?python_enable_dependency_generator}

%description
This library contains the HTTP/2 framing code used in the hyper project.It provides a
pure-python codebase that is capable of decoding a binary stream into HTTP/2 frames.

%package -n     python3-hyperframe
Summary:        HTTP/2 framing layer for Python
%{?python_provide:%python_provide python3-hyperframe}

%description -n python3-hyperframe
This library contains the HTTP/2 framing code used in the hyper project.It provides a
pure-python codebase that is capable of decoding a binary stream into HTTP/2 frames.

%prep
%autosetup -n hyperframe-%{version}
rm -rf hyperframe.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} -m pytest

%files -n python3-hyperframe
%doc README.rst LICENSE
%{python3_sitelib}/hyperframe
%{python3_sitelib}/hyperframe-%{version}-py?.?.egg-info

%changelog
* Mon Nov 09 2020 leiju <leiju4@huawei.com> - 5.2.0-3
- Remove python2 subpackage

* Tue Mar 10 2020 zhangtao <zhangtao221@huawei.com> - 5.2.0-2
- Package update

* Fri Mar 6 2020 zhangtao <zhangtao221@huawei.com> - 5.1.0-4
- Package init
